## vws-bdb22341a3.zip

=== Makefile ===
prefix:=/usr/local
mandir=$(prefix)/share/man
bindir=$(prefix)/bin
sysconfdir=/etc
initddir=$(sysconfdir)/init.d
systemddir=/lib/systemd/system
INSTALL=/usr/bin/install

man: vws.1 find_free_port.1

%.1:%.mkd
	pandoc -s -t man -o $@ $+

clean:
	rm -f *.1 vws.service

vws.service: vws.service.in
	sed 's!@bindir@!$(bindir)!' $+ > $@

install: vws vws.1 find_free_port.1 vws.conf vws.service
	[ -d $(DESTDIR)$(bindir) ] || $(INSTALL) -d -m 755 -o root $(DESTDIR)$(bindir)
	[ -d $(DESTDIR)$(mandir) ] || $(INSTALL) -d -m 755 -o root $(DESTDIR)$(mandir)
	[ -d $(DESTDIR)$(mandir)/man1 ]||$(INSTALL) -d -m 755 -o root $(DESTDIR)$(mandir)/man1
	[ -d $(DESTDIR)$(systemddir) ] || $(INSTALL) -d -m 755 -o root $(DESTDIR)/lib/systemd/system
	[ -d $(DESTDIR)$(sysconfdir) ] || $(INSTALL) -d -m 755 -o root $(DESTDIR)$(sysconfdir)
	[ -d $(DESTDIR)$(initddir) ] || $(INSTALL) -d -m 755 -o root $(DESTDIR)$(initddir)
	$(INSTALL) -c -m 755 -o root find_free_port $(DESTDIR)$(bindir)
	$(INSTALL) -c -m 755 -o root vws $(DESTDIR)$(bindir)
	
	[ -f $(DESTDIR)$(sysconfdir)/vws.conf ]|| $(INSTALL) -c -m 644 -o root vws.conf $(DESTDIR)$(sysconfdir)
	$(INSTALL) -c -m 644 -o root vws.1 $(DESTDIR)$(mandir)/man1
	$(INSTALL) -c -m 644 -o root find_free_port.1 $(DESTDIR)$(mandir)/man1
	$(INSTALL) -c -m 644 -o root vws.service $(DESTDIR)$(systemddir)
	$(INSTALL) -c -m 644 -o root vws.init $(DESTDIR)$(initddir)/vws

origtarball: vws find_free_port vws.init vws.service.in  Makefile vws.conf vws.mkd find_free_port.mkd .pylintrc
	version=$$(sed -n 's/VERSION = //p' vws); \
	mkdir vws-$$version; cp $+ vws-$$version; \
	tar cjf ../vws_$$version.orig.tar.bz2 vws-$$version; \
	rm -rf vws-$$version

deb: origtarball
	debuild

=== debian/changelog ===
vws (0.7-1) unstable; urgency=medium

  * Make spiceuri command more robust

 -- Victor Wagner <v.wagner@postgrespro.ru>  Thu, 06 Jun 2019 18:10:04 +0300

vws (0.6-2) unstable; urgency=medium

  * Fixed bridge-checking code introduced in 0.6

 -- Victor Wagner <v.wagner@postgrespro.ru>  Fri, 07 Dec 2018 16:13:55 +0300

vws (0.6-1) unstable; urgency=medium

  * Added RemainAfterExit into systemd unit
  * Check if machine uses incorrect bridge names
  * Read away (qemu) prompt from monitor socket before issuing command

 -- Victor Wagner <vitus@wagner.pp.ru>  Tue, 17 Jul 2018 17:16:37 +0300

vws (0.5-3) unstable; urgency=medium

  * Added creation of user kvm (to own autostarted VMs) into postinst
    script

 -- Victor Wagner <vitus@wagner.pp.ru>  Wed, 30 Aug 2017 21:10:48 +0300

vws (0.5-2) unstable; urgency=medium

  * Added dpkg-statoverride for qemu-bridge-helper
  * Fixed typo in service file

 -- Victor Wagner <vitus@wagner.pp.ru>  Wed, 30 Aug 2017 14:44:22 +0300

vws (0.5-1) unstable; urgency=low

  * Initial release 

 -- Victor Wagner <vitus@wagner.pp.ru>  Sat, 14 Jan 2017 19:48:30 +0300

=== debian/control ===
Source: vws
Section: otherosfs
Priority: optional
Maintainer: Victor Wagner <vitus@wagner.pp.ru>
Build-Depends: debhelper (>= 9), dh-systemd, pandoc
Standards-Version: 3.9.5
Homepage: https://www.wagner.pp.ru/fossil/vws

Package: vws
Architecture: all
Depends: ${misc:Depends}, python,  qemu-system, bridge-utils, net-tools
Recommends: dnsmasq, virt-viewer
Description: Simple manger script for QEMU virtual machines
 Virtual Workstations (VWs) is simple and thin script layer that
 simplifies creation and use of KVM virtual machines. 
 .
 Only user-servicable parts inside.
 .
 VMs can be copied around using usial file operation, fine tuned using
 direct editing of QEMU command-line and controlled via QEMU monitor
 without interfering with easy to use wrapper scripts.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
prefix=/usr
export prefix

# main packaging script based on dh7 syntax
%:
	dh $@
override_dh_build override_dh_auto_build:
	make prefix=/usr
override_dh_install:
	dh_systemd_enable
	dh_installinit
override_dh_auto_install:
	make install prefix=/usr DESTDIR=`pwd`/debian/vws
#	true
# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
